Subject: Re: [ANNOUNCE] tig-0.14.1

From: Jonas Fonseca <[email-masked]>
Date: Tue, 17 Feb 2009 23:45:45 +0100

bill lam <[email-masked]> wrote Mon, Feb 16, 2009:
> I was ignorant that readline did not work well with ncurses.

Apparently, it can be done if you look at gdb, so if you want to try ...

> Anyway will it be easier to make backspace act as ^H and uparrow to
> recall the last input line?

Probably. It may be rather hard to make backspace work reliably across
different terminals. At least in my gnome-terminal backspace does not
come out as '\b' (or KEY_BACKSPACE), but as 332 (KEY_DC) due to keypad()
translation being enabled. This is one reason why I would like to
introduce an "edit" keymap so it can be made configurable.

-- 
Jonas Fonseca